Name: H5Pget_btree_ratios
Signature:
  herr_t `H5Pget_btree_ratios`(hid_t `plist`, double *`left`, double *`middle`, double *`right` )
Purpose:
  Gets B-tree split ratios for a dataset transfer property list.
Description:
  `H5Pget_btree_ratios` returns the B-tree split ratios for a dataset transfer property list.

  The B-tree split ratios are returned through the non-`NULL` arguments `left`, `middle`, and `right`, as set by the H5Pset_btree_ratios function.

Parameters:

hid_t `plist` | IN: The dataset transfer property list identifier.
double `left` | OUT: The B-tree split ratio for left-most nodes.
double `right` | OUT: The B-tree split ratio for right-most nodes and lone nodes.
double `middle` | OUT: The B-tree split ratio for all other nodes.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5pget_btree_ratios_f

      SUBROUTINE h5pget_btree_ratios_f(prp_id, left, middle, right, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id
                                        ! Property list identifier
        REAL, INTENT(OUT) :: left       ! B-tree split ratio for left-most nodes
        REAL, INTENT(OUT) :: middle     ! B-tree split ratio for all other nodes
        REAL, INTENT(OUT) :: right      ! The B-tree split ratio for right-most
                                        ! nodes and lone nodes.
        INTEGER, INTENT(OUT) :: hdferr  ! Error code
                                        ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_btree_ratios_f